Debian Bug report logs - #119751
lynx: problem with French translation

version graph

Package: lynx; Maintainer for lynx is Atsuhito KOHDA <kohda@debian.org>; Source for lynx is src:lynx-cur.

Reported by: Benoît Sibaud <benoit.sibaud@wanadoo.fr>

Date: Thu, 15 Nov 2001 21:33:02 UTC

Severity: normal

Tags: l10n, upstream

Found in versions 2.8.4.1b-3, 2.8.4.1b-5, 2.8.4.1b-6, lynx/2.8.5-2sarge2.2

Fixed in version 2.8.7dev9-1.2

Done: Andreas Metzler <ametzler@downhill.at.eu.org>

Bug is archived. No further changes may be made.

Forwarded to upstream

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adrian Bunk <bunk@fs.tum.de>:
Bug#119751; Package lynx-ssl. Full text and rfc822 format available.

Acknowledgement sent to Benoît Sibaud <benoit.sibaud@wanadoo.fr>:
New Bug report received and forwarded. Copy sent to Adrian Bunk <bunk@fs.tum.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Benoît Sibaud <benoit.sibaud@wanadoo.fr>
To: submit@bugs.debian.org
Subject: Problem with French translation
Date: Thu, 15 Nov 2001 22:31:37 +0100
Package: lynx-ssl
Version: 2.8.4.1b-1

<French>
cookie de login.yahoo.com : B=263f030tv8cpc&b=2  Accepter? (O/N/Toujours/Jamais)
</French>
<English>
cookie from login.yahoo.com : B=263f030tv8cpc&b=2  Accept? (Y/N/Always/Never)
</English>

But lynx is waiting for Y/N/A/V not for O/N/T/J.

-- 
Benoît Sibaud



Information forwarded to debian-bugs-dist@lists.debian.org, Adrian Bunk <bunk@fs.tum.de>:
Bug#119751; Package lynx-ssl. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Adrian Bunk <bunk@fs.tum.de>. Full text and rfc822 format available.

Message #10 received at 119751@bugs.debian.org (full text, mbox):

From: dickey@herndon4.his.com (Thomas Dickey)
To: 119751@bugs.debian.org
Cc: dickey@herndon4.his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=119751&repeatmerged=
Date: Tue, 20 Nov 2001 19:45:54 -0500
actually it accepts both (y/n/a/v and o/n/t/j).  That's the way it was
designed, and testing confirms that.

                       Debian Bug report logs - #119751
>                        Problem with French translation
>
><French>
>cookie de login=2Eyahoo=2Ecom : B=3D263f030tv8cpc&b=3D2  Accepter? (O/N/Touj=
>ours/Jamais)
></French>
><English>
>cookie from login=2Eyahoo=2Ecom : B=3D263f030tv8cpc&b=3D2  Accept? (Y/N/Alwa=
>ys/Never)
></English>
>
>But lynx is waiting for Y/N/A/V not for O/N/T/J=2E
>
>--=20
>Beno=EEt Sibaud
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Bug reassigned from package `lynx-ssl' to `lynx'. Request was from Adrian Bunk <bunk@fs.tum.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>, lynx@packages.qa.debian.org:
Bug#119751; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Marc Herbert <mherbert@ens-lyon.fr>:
Extra info received and forwarded to list. Copy sent to James Troup <james@nocrew.org>, lynx@packages.qa.debian.org. Full text and rfc822 format available.

Message #17 received at 119751@bugs.debian.org (full text, mbox):

From: Marc Herbert <mherbert@ens-lyon.fr>
To: Debian Bug Tracking System <119751@bugs.debian.org>
Subject: lynx: patch for fr.po
Date: Mon, 25 Feb 2002 18:22:29 +0100
Package: lynx
Version: 2.8.4.1b-3

Please find below a patch on the file fr.po correcting this bug,
among other (randomly chosen) translation mistakes. Yes, I think
the current french translation has a rather low quality.


-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux cartman 2.2.20 #2 Tue Dec 18 20:21:39 CET 2001 i686
Locale: LANG=fr, LC_CTYPE=fr_FR

Versions of packages lynx depends on:
ii  libc6                    2.2.5-3         GNU C Library: Shared libraries an
ii  libncurses5              5.2.20020112a-3 Shared libraries for terminal hand
ii  zlib1g                   1:1.1.3-19      compression library - runtime



--- fr.po patch ---


76c76
< msgstr "Vous voulez vraiment quitter Lynx?"
---
> msgstr "Voulez-vous vraiment quitter Lynx?"
100c100
< msgstr ""
---
> msgstr "OK"
142c142
< msgstr "URL à ouvrir"
---
> msgstr "URL trop longue"
153c153
< msgstr "(Aire de texte) inactive. Appuyez sur <entrée> pour l'activer."
---
> msgstr "(Zone de texte) inactive. Appuyez sur <entrée> pour l'activer."
159c159
< msgstr "(Aire de texte) Inactive. Appuyez sur <entrée> pour l'activer (%s pour éditer)."
---
> msgstr "(Zone de texte) Inactive. Appuyez sur <entrée> pour l'activer (%s pour éditer)."
567c567
< msgstr "Vous n'êtes pas dans une zone de texte, impossible d'utiliser l'éditeur éxterne."
---
> msgstr "Vous n'êtes pas dans une zone de texte, impossible d'utiliser l'éditeur externe."
1342c1342
< msgstr "Impossible d'acceder au document !"
---
> msgstr "Impossible d'accéder au document !"
1350c1350
< msgstr "Impossible d'acceder au répertoire."
---
> msgstr "Impossible d'accéder au répertoire."
1359c1359
< msgstr "Lynx ne peut (E) Éditer de fichiers W3 distants."
---
> msgstr "Lynx ne peut (e)diter de fichiers W3 distants."
2229c2229
< msgstr "cookie de %s : %.*s=%.*s  Accepter? (O/N/Toujours/Jamais)"
---
> msgstr "cookie de %s : %.*s=%.*s  Accepter? (Y/N/A:toujours/V:jamais)"
3489c3489
< msgstr "Raccourcir les lignes pour correspondre à l'aire d'affichage ?"
---
> msgstr "Raccourcir les lignes pour correspondre à la zone d'affichage ?"
3607c3607
< msgstr "Erreur de cache - disque pleins ?"
---
> msgstr "Erreur de cache - disque plein ?"
3797c3797
< msgstr "Enregistrement sur disque d<E9>sactiv<E9>"
---
> msgstr "Enregistrement sur disque désactivé"
3922c3922
< msgstr "Le répertoire éxiste déja. Requête ignorée."
---
> msgstr "Le répertoire existe déjà. Requête ignorée."
3926c3926
< msgstr "Ce fichier éxiste déja. Requête ignorée."
---
> msgstr "Ce fichier existe déjà. Requête ignorée."
3987c3987
< msgstr "La source et la déstination sont similaires. Requête ignorée."
---
> msgstr "La source et la destination sont similaires. Requête ignorée."
4205c4205
< msgstr "vous DEVEZ définire une aire TMP ou TEMP valide ! \n"
---
> msgstr "vous DEVEZ définir une zone TMP ou TEMP valide ! \n"




Information forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>, lynx@packages.qa.debian.org:
Bug#119751; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to "Chris Nunez" <mstsurvey@yahoo.com>:
Extra info received and forwarded to list. Copy sent to James Troup <james@nocrew.org>, lynx@packages.qa.debian.org. Full text and rfc822 format available.

Message #22 received at 119751@bugs.debian.org (full text, mbox):

From: "Chris Nunez" <mstsurvey@yahoo.com>
To: <119751@bugs.debian.org>
Subject: Introducing MultiSensit SDK
Date: Tue, 30 Apr 2002 12:36:01 -0700
<html>

<body aLink=#000000 bgColor=#336699 leftMargin=0 link=#000000 text=#000000 
topMargin=0 vLink=#000000 marginheight="0" marginwidth="0">

<center>
<br>

<table border="0" cellpadding="2" cellspacing="0" width="650" height="400">
  <tr>
    <td bgcolor="#ffffff" align="center">
      <img src="http://www.mstcorporation.com/body.jpg"><br>
      <font face="arial,helvetica" size="2">
      <a href="http://www.mstcorporation.com">www.mstcorporation.com</a><br>
      <a
href="mailto:info@mstcorporation.com">info@mstcorporation.com</a><br>
      </font>
    </td>
  </tr>
  <tr>
    <td valign="top" align="center">
      <img src="http://www.mstcorporation.com/logo.gif"><br>
    </td>
  </tr>
</table>

<font size="1" face="arial,helvetica" color="white">
To be removed from our list please reply with "remove" in the subject
line. We will immediately update our list accordingly.
</font>

</center>

</body>
</html>



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>, lynx@packages.qa.debian.org:
Bug#119751; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to James Troup <james@nocrew.org>, lynx@packages.qa.debian.org. Full text and rfc822 format available.

Message #27 received at 119751@bugs.debian.org (full text, mbox):

From: dickey@herndon4.his.com (Thomas Dickey)
To: 119751@bugs.debian.org
Cc: dickey@herndon4.his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=119751&repeatmerged=
Date: Sat, 21 Sep 2002 07:57:21 -0400
while the French translation is not that good, this does not improve things
(since the code works as I've described).  I won't add those diffs.

                       Debian Bug report logs - #119751
>                        Problem with French translation
>
>   Package:   lynx;   Reported   by:   =?ISO-8859-1?B?QmVub+50?=   Sibaud
>   <benoit.sibaud@wanadoo.fr>;  dated  Thu,  15  Nov  2001  21:33:02 UTC;
>   Maintainer for lynx is James Troup <james@nocrew.org>;
>   Source for lynx is lynx.
>Version: 2.8.4.1b-1
>
><French>
>cookie de login.yahoo.com : B=3D263f030tv8cpc&b=3D2  Accepter? (O/N/Toujour=
>s/Jamais)
></French>
><English>
>cookie from login.yahoo.com : B=3D263f030tv8cpc&b=3D2  Accept? (Y/N/Always/=
>Never)
></English>
>
>But lynx is waiting for Y/N/A/V not for O/N/T/J.

perhaps an older version - but 2.8.4 certainly works properly.

>From: Marc Herbert <mherbert@ens-lyon.fr>
>To: Debian Bug Tracking System <119751@bugs.debian.org>
>Subject: lynx: patch for fr.po
>X-Reportbug-Version: 1.43
>X-Mailer: reportbug 1.43
>Date: Mon, 25 Feb 2002 18:22:29 +0100
>Message-Id: <20020225172229.1C6F21475C9@mouette.ens-lyon.fr>
>Delivered-To: 119751@bugs.debian.org
>
>Package: lynx
>Version: 2.8.4.1b-3
>
>Please find below a patch on the file fr.po correcting this bug,
>among other (randomly chosen) translation mistakes. Yes, I think
>the current french translation has a rather low quality.

rejected as noted.
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, lynx@packages.qa.debian.org:
Bug#119751; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to James Troup <james@nocrew.org>:
Extra info received and forwarded to list. Copy sent to lynx@packages.qa.debian.org. Full text and rfc822 format available.

Message #32 received at 119751@bugs.debian.org (full text, mbox):

From: James Troup <james@nocrew.org>
To: 119751@bugs.debian.org
Cc: Marc Herbert <mherbert@ens-lyon.fr>
Subject: Re: Problem with French translation
Date: Tue, 06 May 2003 19:42:06 +0100
dickey@herndon4.his.com (Thomas Dickey) writes:

> while the French translation is not that good, this does not improve things
> (since the code works as I've described).  I won't add those diffs.

[...]

> >But lynx is waiting for Y/N/A/V not for O/N/T/J.
> 
> perhaps an older version - but 2.8.4 certainly works properly.
> 

[...]

> >Please find below a patch on the file fr.po correcting this bug,
> >among other (randomly chosen) translation mistakes. Yes, I think
> >the current french translation has a rather low quality.
> 
> rejected as noted.

Marc, is there any chance you could redo your diff without the
prompt-related changes so that the other fixes could be propagated
upstream?  Preferably with diff -u?

-- 
James



Tags added: upstream Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to upstream. Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>:
Bug#119751; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup <james@nocrew.org>. Full text and rfc822 format available.

Message #43 received at 119751@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: Debian Bug Tracking System <119751@bugs.debian.org>
Subject: French key stroke still not reckognized
Date: Wed, 26 Nov 2003 16:22:14 +0100
Package: lynx
Version: 2.8.4.1b-5
Severity: normal
Followup-For: Bug #119751

Hello James,

I just want  to confim that this bug is still present th
the current sid version noted above:

With LANG=french, lynx display Toujours instead of neVer, but
'T' does not work, you have to use 'V'.

Cheers,
Bill

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux pari 2.4.18-14smp #1 SMP Wed Sep 4 11:55:37 EDT 2002 i686
Locale: LANG=français, LC_CTYPE=français

Versions of packages lynx depends on:
ii  libc6                     2.3.2.ds1-10   GNU C Library: Shared libraries an
ii  libgnutls5                0.8.8-2        GNU TLS library - runtime library
ii  libncurses5               5.3.20030719-4 Shared libraries for terminal hand
ii  zlib1g                    1:1.2.1-1      compression library - runtime

-- no debconf information




Tags added: l10n Request was from barbier@linuxfr.org (Denis Barbier) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>:
Bug#119751; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Denis Barbier <barbier@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup <james@nocrew.org>. Full text and rfc822 format available.

Message #50 received at 119751@bugs.debian.org (full text, mbox):

From: Denis Barbier <barbier@debian.org>
To: Debian Bug Tracking System <119751@bugs.debian.org>
Subject: lynx: Bug confirmed
Date: Sat, 24 Jan 2004 18:06:11 +0100
Package: lynx
Version: 2.8.4.1b-6
Severity: normal
Followup-For: Bug #119751

James, please apply Marc's patch, despite Thomas Dickey's allegations,
keystrokes are not i18n-ed (neither in 2.8.4 nor in latest 2.8.5).
You can also merge #193205 with this one.

Denis



Message sent on to Benoît Sibaud <benoit.sibaud@wanadoo.fr>:
Bug#119751. Full text and rfc822 format available.

Message #53 received at 119751-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 119751-submitter@bugs.debian.org
Subject: comment on bug-report
Date: Sun, 26 Sep 2004 20:36:42 -0400
[Message part 1 (text/plain, inline)]
>James, please apply Marc's patch, despite Thomas Dickey's allegations,
>keystrokes are not i18n-ed (neither in 2.8.4 nor in latest 2.8.5).
>You can also merge #193205 with this one.
"allegations" sounds abusive.  Perhaps you need a better translator.

btw, I did notice today that the issue was not lynx, but an incompatible change
to gettext which broke one of my ifdef's.  It certainly was working fine for me
- but not in the environment where it was reported.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Bug marked as found in version 2.8.5-2sarge2.2. Request was from Andreas Metzler <ametzler@debian.org> to control@bugs.debian.org. (Sat, 19 Jul 2008 11:33:03 GMT) Full text and rfc822 format available.

Reply sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Benoît Sibaud <benoit.sibaud@wanadoo.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #60 received at 119751-done@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: 119751-done@bugs.debian.org
Subject: Re: Bug#119751: Problem with French translation
Date: Sat, 19 Jul 2008 13:34:36 +0200
Version: 2.8.7dev9-1.2

On 2001-11-15 Benoît Sibaud <benoit.sibaud@wanadoo.fr> wrote:
> Package: lynx-ssl
> Version: 2.8.4.1b-1

> <French>
> cookie de login.yahoo.com : B=263f030tv8cpc&b=2  Accepter? (O/N/Toujours/Jamais)
> </French>
> <English>
> cookie from login.yahoo.com : B=263f030tv8cpc&b=2  Accept? (Y/N/Always/Never)
> </English>

> But lynx is waiting for Y/N/A/V not for O/N/T/J.

lynx(-cur) in sid accepts both Y/N/A/V and O/N/T/J when running in
French locale.

cu andreas
-- 
`What a good friend you are to him, Dr. Maturin. His other friends are
so grateful to you.'
`I sew his ears on from time to time, sure'




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#119751; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #65 received at 119751@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: Peter Palm <peterp@pocos.nl>, 484250@bugs.debian.org
Cc: 119751@bugs.debian.org
Subject: Re: Bug#484250: Wrong keybindings for languages other than english
Date: Sat, 19 Jul 2008 13:50:47 +0200
Version: 2.8.7dev9-1.2

On 2008-06-03 Peter Palm <peterp@pocos.nl> wrote:
> Package: lynx
> Version: 2.8.6-2
> Severity: important
> Tags: l10n

> When LANG is set to, for example, nl_NL.UTF-8, when I go to a site that wants
> to set a cookie, I get the following question:
> [site] koekje: JSESSIONID=5A6... Toestaan? J)a, N)ee, A)ltijd, V)-nooit

> Which translates to:

> cookie: JSESSIONID... Allow? Y)es, N)o, A)lways, V)-never

> The problem is, the key I have to enter to allow the cookie to be set, is 'Y'
> instead of 'J', which is confusing.
[...]

This is strange, 484250 looks like an exact duplicate of 119751,
except for refereing to Dutch instead of French locales. However while
O (Oui) in French locale works for me with 2.8.7dev9-1.2, J (Ja) in
nl_NL.utf8 does not.

cu andreas
-- 
`What a good friend you are to him, Dr. Maturin. His other friends are
so grateful to you.'
`I sew his ears on from time to time, sure'




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Aug 2008 07:31:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:08:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.